ICode9

精准搜索请尝试: 精确搜索
首页 > 系统相关> 文章详细

linux部署rabbitMQ并升级MQ版本

2022-06-23 11:34:54  阅读:30  来源: 互联网

标签:插件 卸载 rabbitmq server rabbitMQ linux Q版 erlang


因为近期公司安全扫描,安扫报告里有rabbitMQ的高危漏洞,公司的环境都在使用,又在护网期间内,只能在本地整个虚机模拟现网环境来进行升级MQ版本,后续在进行版本升级操作。

一、部署

# erlang下载地址: 
https://github.com/rabbitmq/erlang-rpm/tags?after=v22.1.4
# rabbitMQ下载地址:
https://github.com/rabbitmq/rabbitmq-server/tags
# rabbitMQ手册:
https://www.rabbitmq.com/documentation.html
# rabbitMQ与erlang对应关系:
https://www.rabbitmq.com/which-erlang.html

rabbitMQ是由erlong语言开发得,所以部署rabbitMQ需要erlang语言环境,先部署erlang

安装依赖:yum -y install make gcc gcc-c++ kernel-devel m4 ncurses-devel openssl-devel unixODBC-devel

安装rabbitMq,先安装socat插件yum -y install socat

rpm -ivh rabbitmq-server-3.8.11-1.el7.noarch.rpm

以后台方式启动

rabbitmq-server -detached

关闭rabbitmq 可以执行如下命令

rabbitmqctl stop

rabbitmq 启动之后默认有很多插件可以使用,使用rabbitmq-plugins list可以查看有哪些插件

然后我们通过命令启用管理控制台插件

rabbitmq-plugins enable rabbitmq_management

此时访问一下页面,rabbitmq提供了默认得用户guest,密码也是

我们需要使用命令再创建一个rabbitmq的管理员账户

rabbitmqctl add_user admin admin1024

用户创建好之后,再给用户管理员的角色

rabbitmqctl set_user_tags admin administrator

现在可以使用创建得用户和密码登录mq了

可以图中看到,现在的版本是RabbitMQ 3.8.11

二、升级

先卸载之前安装得mq

卸载前先停掉rabbitmq服务,执行命令:rabbitmqctl stop

查看rabbitmq安装的相关列表

卸载rabbitmq已安装的相关内容

yum -y remove rabbitmq-server.noarch

erlang是否卸载根据实际需要,文章开始已写上两者对应关系,我这是不用卸载erlang的,版本对应的上

安装RabbitMQ 3.9.13版本

后台启动

rabbitmq-server -detached

查看进程

在访问页面,使用之前创建得用户登录,可以看到版本升级成功

 

标签:插件,卸载,rabbitmq,server,rabbitMQ,linux,Q版,erlang
来源: https://www.cnblogs.com/sxFu/p/16404410.html

专注分享技术,共同学习,共同进步。侵权联系[admin#icode9.com]

Copyright (C)ICode9.com, All Rights Reserved.

ICode9版权所有